package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/11/5.
 * realicing@sina.com
 * 用户主页详情
 * update_time:	integer ($int64)
 * is_focus_user:	boolean
 * 是否关注用户
 * user_id:	integer ($int64)
 * 用户id
 * create_time:	integer ($int64)
 * focus_user:	integer ($int64)
 * 关注人数
 * fan:	integer ($int64)
 * 粉丝人数
 * like:	integer ($int64)
 * 点赞数
 * avatar:	string
 * 头像
 * focus_game:	integer ($int64)
 * 关注游戏
 * id:	integer ($int64)
 */
public class UserFocus {
    private int id;
    private int focus_game;
    private int like;
    private int fan;
    private int focus_user;
    private boolean is_focus_user;
    private int create_time;
    private int user_id;
    private int update_time;
    private String avatar;
    private String nick_name;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getFocus_game() {
        return focus_game;
    }

    public void setFocus_game(int focus_game) {
        this.focus_game = focus_game;
    }

    public int getLike() {
        return like;
    }

    public void setLike(int like) {
        this.like = like;
    }

    public int getFan() {
        return fan;
    }

    public void setFan(int fan) {
        this.fan = fan;
    }

    public int getFocus_user() {
        return focus_user;
    }

    public void setFocus_user(int focus_user) {
        this.focus_user = focus_user;
    }

    public int getCreate_time() {
        return create_time;
    }

    public void setCreate_time(int create_time) {
        this.create_time = create_time;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public int getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(int update_time) {
        this.update_time = update_time;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getNick_name() {
        return nick_name;
    }

    public void setNick_name(String nick_name) {
        this.nick_name = nick_name;
    }

    public boolean isIs_focus_user() {
        return is_focus_user;
    }

    public void setIs_focus_user(boolean is_focus_user) {
        this.is_focus_user = is_focus_user;
    }






    //关注状态取反
    public void toggleFocusUser() {
        is_focus_user = !is_focus_user;
    }

    //点赞数量加一
    public void plusLike() {
        like++;
    }
}
